현재 요금제에서 자동 충전 미지원

Moses Skoda엔지니어1분 소요

이 문제가 발생하면 API는 402 Payment Required 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/auto-top-up-unavailable입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

자동 충전을 사용하려면 크레딧 잔액을 지원하는 요금제가 필요합니다. <organizationId> 조직은 해당 요금제를 사용하고 있지 않습니다. 먼저 요금제를 업그레이드한 뒤 자동 충전을 활성화하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
organizationIdstring

예시#

json
{
  "detail": "Automatic top-ups need a plan that carries a credit balance, and organization <organizationId> is not on one. Upgrade the plan first, then enable top-ups.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/auto-top-up-unavailable",
  "status": 402,
  "title": "Automatic top-ups not in plan"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/organizations/{orgId}/billing/auto-top-up